import Vue from 'vue'
import Router from 'vue-router'
// import store from '@/store/store'
import Login from '@/pages/Login'
import TutorLayout from '@/pages/tutor/TutorLayout'
import TutorStartPage from '@/pages/tutor/TutorStartPage'
import StudentPage from '@/pages/student/StudentPage'
import StudentLayout from '@/pages/student/StudentLayout'
import StudentSubmissionPage from '@/pages/student/StudentSubmissionPage'
import SubscriptionWorkPage from '@/pages/SubscriptionWorkPage'
import ReviewerPage from '@/pages/reviewer/ReviewerPage'
import StudentListOverview from '@/pages/reviewer/StudentListOverview'

Vue.use(Router)

const router = new Router({
  routes: [
    {
      path: '/',
      name: 'grady-login',
      component: Login
    },
    {
      path: '/student/',
      component: StudentLayout,
      children: [
        {
          path: '',
          component: StudentPage
        },
        {
          path: 'submission/:id',
          component: StudentSubmissionPage
        }
      ]
    },
    {
      path: '/tutor/',
      component: TutorLayout,
      children: [
        {
          path: '',
          component: TutorStartPage
        },
        {
          path: 'subscription/:pk',
          component: SubscriptionWorkPage
        }
      ]
    },
    {
      path: '/reviewer/',
      name: 'reviewer-page',
      component: ReviewerPage
    },
    {
      path: 'reviewer/student-overview/',
      name: 'student-overview',
      component: StudentListOverview
    }
  ]
})

export default router
